import '/@/design/index.less';
import 'virtual:windi-base.css';
import 'virtual:windi-components.css';
import 'virtual:windi-utilities.css';
// Register icon sprite
import 'virtual:svg-icons-register';
import './styles/index.css'
import App from './App.vue';
import { createApp } from 'vue';
import { initAppConfigStore } from '/@/logics/initAppConfig';
import { setupErrorHandle } from '/@/logics/error-handle';
import { router, setupRouter } from '/@/router';
import { setupRouterGuard } from '/@/router/guard';
import { setupStore } from '/@/store';
import { setupGlobDirectives } from '/@/directives';
import { setupI18n } from '/@/locales/setupI18n';
import { registerGlobComp } from '/@/components/registerGlobComp';
import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/antd.less';
// if (import.meta.env.DEV) {
//   import('ant-design-vue/dist/antd.less');
// }

async function bootstrap() {
  const app = createApp(App);

  setupStore(app);

  initAppConfigStore();

  registerGlobComp(app);

  await setupI18n(app);
  setupRouter(app);

  setupRouterGuard(router);

  setupGlobDirectives(app);

  setupErrorHandle(app);

  app.use(Antd);

  app.mount('#app');
  app.use(Antd);
}

bootstrap();
